import { __assign, __extends, __rest } from "tslib";
import classnames from 'classnames';
import * as React from 'react';
var FlexItem = /** @class */ (function (_super) {
    __extends(FlexItem, _super);
    function FlexItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FlexItem.prototype.render = function () {
        var _a = this.props, children = _a.children, className = _a.className, prefixCls = _a.prefixCls, style = _a.style, restProps = __rest(_a, ["children", "className", "prefixCls", "style"]);
        var wrapCls = classnames(prefixCls + "item", className);
        return (React.createElement("div", __assign({ className: wrapCls, style: style }, restProps), children));
    };
    FlexItem.defaultProps = {
        prefixCls: 'next-',
    };
    return FlexItem;
}(React.Component));
export default FlexItem;
